import { PageRequest, PageRequestAmino, PageResponse, PageResponseAmino } from "../../base/query/v1beta1/pagination";
import { Params, ParamsAmino, ValidatorSigningInfo, ValidatorSigningInfoAmino } from "./slashing";
import { BinaryReader, BinaryWriter } from "../../../binary";
import { DeepPartial } from "../../../helpers";
/**
 * QueryParamsRequest is the request type for the Query/Params RPC method
 * @name QueryParamsRequest
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QueryParamsRequest
 */
export interface QueryParamsRequest {
}
export interface QueryParamsRequestProtoMsg {
    typeUrl: "/cosmos.slashing.v1beta1.QueryParamsRequest";
    value: Uint8Array;
}
/**
 * QueryParamsRequest is the request type for the Query/Params RPC method
 * @name QueryParamsRequestAmino
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QueryParamsRequest
 */
export interface QueryParamsRequestAmino {
}
export interface QueryParamsRequestAminoMsg {
    type: "cosmos-sdk/QueryParamsRequest";
    value: QueryParamsRequestAmino;
}
/**
 * QueryParamsResponse is the response type for the Query/Params RPC method
 * @name QueryParamsResponse
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QueryParamsResponse
 */
export interface QueryParamsResponse {
    params: Params;
}
export interface QueryParamsResponseProtoMsg {
    typeUrl: "/cosmos.slashing.v1beta1.QueryParamsResponse";
    value: Uint8Array;
}
/**
 * QueryParamsResponse is the response type for the Query/Params RPC method
 * @name QueryParamsResponseAmino
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QueryParamsResponse
 */
export interface QueryParamsResponseAmino {
    params: ParamsAmino;
}
export interface QueryParamsResponseAminoMsg {
    type: "cosmos-sdk/QueryParamsResponse";
    value: QueryParamsResponseAmino;
}
/**
 * QuerySigningInfoRequest is the request type for the Query/SigningInfo RPC
 * method
 * @name QuerySigningInfoRequest
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QuerySigningInfoRequest
 */
export interface QuerySigningInfoRequest {
    /**
     * cons_address is the address to query signing info of
     */
    consAddress: string;
}
export interface QuerySigningInfoRequestProtoMsg {
    typeUrl: "/cosmos.slashing.v1beta1.QuerySigningInfoRequest";
    value: Uint8Array;
}
/**
 * QuerySigningInfoRequest is the request type for the Query/SigningInfo RPC
 * method
 * @name QuerySigningInfoRequestAmino
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QuerySigningInfoRequest
 */
export interface QuerySigningInfoRequestAmino {
    /**
     * cons_address is the address to query signing info of
     */
    cons_address: string;
}
export interface QuerySigningInfoRequestAminoMsg {
    type: "cosmos-sdk/QuerySigningInfoRequest";
    value: QuerySigningInfoRequestAmino;
}
/**
 * QuerySigningInfoResponse is the response type for the Query/SigningInfo RPC
 * method
 * @name QuerySigningInfoResponse
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QuerySigningInfoResponse
 */
export interface QuerySigningInfoResponse {
    /**
     * val_signing_info is the signing info of requested val cons address
     */
    valSigningInfo: ValidatorSigningInfo;
}
export interface QuerySigningInfoResponseProtoMsg {
    typeUrl: "/cosmos.slashing.v1beta1.QuerySigningInfoResponse";
    value: Uint8Array;
}
/**
 * QuerySigningInfoResponse is the response type for the Query/SigningInfo RPC
 * method
 * @name QuerySigningInfoResponseAmino
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QuerySigningInfoResponse
 */
export interface QuerySigningInfoResponseAmino {
    /**
     * val_signing_info is the signing info of requested val cons address
     */
    val_signing_info: ValidatorSigningInfoAmino;
}
export interface QuerySigningInfoResponseAminoMsg {
    type: "cosmos-sdk/QuerySigningInfoResponse";
    value: QuerySigningInfoResponseAmino;
}
/**
 * QuerySigningInfosRequest is the request type for the Query/SigningInfos RPC
 * method
 * @name QuerySigningInfosRequest
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QuerySigningInfosRequest
 */
export interface QuerySigningInfosRequest {
    pagination?: PageRequest;
}
export interface QuerySigningInfosRequestProtoMsg {
    typeUrl: "/cosmos.slashing.v1beta1.QuerySigningInfosRequest";
    value: Uint8Array;
}
/**
 * QuerySigningInfosRequest is the request type for the Query/SigningInfos RPC
 * method
 * @name QuerySigningInfosRequestAmino
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QuerySigningInfosRequest
 */
export interface QuerySigningInfosRequestAmino {
    pagination?: PageRequestAmino;
}
export interface QuerySigningInfosRequestAminoMsg {
    type: "cosmos-sdk/QuerySigningInfosRequest";
    value: QuerySigningInfosRequestAmino;
}
/**
 * QuerySigningInfosResponse is the response type for the Query/SigningInfos RPC
 * method
 * @name QuerySigningInfosResponse
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QuerySigningInfosResponse
 */
export interface QuerySigningInfosResponse {
    /**
     * info is the signing info of all validators
     */
    info: ValidatorSigningInfo[];
    pagination?: PageResponse;
}
export interface QuerySigningInfosResponseProtoMsg {
    typeUrl: "/cosmos.slashing.v1beta1.QuerySigningInfosResponse";
    value: Uint8Array;
}
/**
 * QuerySigningInfosResponse is the response type for the Query/SigningInfos RPC
 * method
 * @name QuerySigningInfosResponseAmino
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QuerySigningInfosResponse
 */
export interface QuerySigningInfosResponseAmino {
    /**
     * info is the signing info of all validators
     */
    info: ValidatorSigningInfoAmino[];
    pagination?: PageResponseAmino;
}
export interface QuerySigningInfosResponseAminoMsg {
    type: "cosmos-sdk/QuerySigningInfosResponse";
    value: QuerySigningInfosResponseAmino;
}
/**
 * QueryParamsRequest is the request type for the Query/Params RPC method
 * @name QueryParamsRequest
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QueryParamsRequest
 */
export declare const QueryParamsRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryParamsRequest;
    isAmino(o: any): o is QueryParamsRequestAmino;
    encode(_: QueryParamsRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryParamsRequest;
    fromPartial(_: DeepPartial<QueryParamsRequest>): QueryParamsRequest;
    fromAmino(_: QueryParamsRequestAmino): QueryParamsRequest;
    toAmino(_: QueryParamsRequest): QueryParamsRequestAmino;
    fromAminoMsg(object: QueryParamsRequestAminoMsg): QueryParamsRequest;
    toAminoMsg(message: QueryParamsRequest): QueryParamsRequestAminoMsg;
    fromProtoMsg(message: QueryParamsRequestProtoMsg): QueryParamsRequest;
    toProto(message: QueryParamsRequest): Uint8Array;
    toProtoMsg(message: QueryParamsRequest): QueryParamsRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryParamsResponse is the response type for the Query/Params RPC method
 * @name QueryParamsResponse
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QueryParamsResponse
 */
export declare const QueryParamsResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryParamsResponse;
    isAmino(o: any): o is QueryParamsResponseAmino;
    encode(message: QueryParamsResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryParamsResponse;
    fromPartial(object: DeepPartial<QueryParamsResponse>): QueryParamsResponse;
    fromAmino(object: QueryParamsResponseAmino): QueryParamsResponse;
    toAmino(message: QueryParamsResponse): QueryParamsResponseAmino;
    fromAminoMsg(object: QueryParamsResponseAminoMsg): QueryParamsResponse;
    toAminoMsg(message: QueryParamsResponse): QueryParamsResponseAminoMsg;
    fromProtoMsg(message: QueryParamsResponseProtoMsg): QueryParamsResponse;
    toProto(message: QueryParamsResponse): Uint8Array;
    toProtoMsg(message: QueryParamsResponse): QueryParamsResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QuerySigningInfoRequest is the request type for the Query/SigningInfo RPC
 * method
 * @name QuerySigningInfoRequest
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QuerySigningInfoRequest
 */
export declare const QuerySigningInfoRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QuerySigningInfoRequest;
    isAmino(o: any): o is QuerySigningInfoRequestAmino;
    encode(message: QuerySigningInfoRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QuerySigningInfoRequest;
    fromPartial(object: DeepPartial<QuerySigningInfoRequest>): QuerySigningInfoRequest;
    fromAmino(object: QuerySigningInfoRequestAmino): QuerySigningInfoRequest;
    toAmino(message: QuerySigningInfoRequest): QuerySigningInfoRequestAmino;
    fromAminoMsg(object: QuerySigningInfoRequestAminoMsg): QuerySigningInfoRequest;
    toAminoMsg(message: QuerySigningInfoRequest): QuerySigningInfoRequestAminoMsg;
    fromProtoMsg(message: QuerySigningInfoRequestProtoMsg): QuerySigningInfoRequest;
    toProto(message: QuerySigningInfoRequest): Uint8Array;
    toProtoMsg(message: QuerySigningInfoRequest): QuerySigningInfoRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QuerySigningInfoResponse is the response type for the Query/SigningInfo RPC
 * method
 * @name QuerySigningInfoResponse
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QuerySigningInfoResponse
 */
export declare const QuerySigningInfoResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QuerySigningInfoResponse;
    isAmino(o: any): o is QuerySigningInfoResponseAmino;
    encode(message: QuerySigningInfoResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QuerySigningInfoResponse;
    fromPartial(object: DeepPartial<QuerySigningInfoResponse>): QuerySigningInfoResponse;
    fromAmino(object: QuerySigningInfoResponseAmino): QuerySigningInfoResponse;
    toAmino(message: QuerySigningInfoResponse): QuerySigningInfoResponseAmino;
    fromAminoMsg(object: QuerySigningInfoResponseAminoMsg): QuerySigningInfoResponse;
    toAminoMsg(message: QuerySigningInfoResponse): QuerySigningInfoResponseAminoMsg;
    fromProtoMsg(message: QuerySigningInfoResponseProtoMsg): QuerySigningInfoResponse;
    toProto(message: QuerySigningInfoResponse): Uint8Array;
    toProtoMsg(message: QuerySigningInfoResponse): QuerySigningInfoResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QuerySigningInfosRequest is the request type for the Query/SigningInfos RPC
 * method
 * @name QuerySigningInfosRequest
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QuerySigningInfosRequest
 */
export declare const QuerySigningInfosRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QuerySigningInfosRequest;
    isAmino(o: any): o is QuerySigningInfosRequestAmino;
    encode(message: QuerySigningInfosRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QuerySigningInfosRequest;
    fromPartial(object: DeepPartial<QuerySigningInfosRequest>): QuerySigningInfosRequest;
    fromAmino(object: QuerySigningInfosRequestAmino): QuerySigningInfosRequest;
    toAmino(message: QuerySigningInfosRequest): QuerySigningInfosRequestAmino;
    fromAminoMsg(object: QuerySigningInfosRequestAminoMsg): QuerySigningInfosRequest;
    toAminoMsg(message: QuerySigningInfosRequest): QuerySigningInfosRequestAminoMsg;
    fromProtoMsg(message: QuerySigningInfosRequestProtoMsg): QuerySigningInfosRequest;
    toProto(message: QuerySigningInfosRequest): Uint8Array;
    toProtoMsg(message: QuerySigningInfosRequest): QuerySigningInfosRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QuerySigningInfosResponse is the response type for the Query/SigningInfos RPC
 * method
 * @name QuerySigningInfosResponse
 * @package cosmos.slashing.v1beta1
 * @see proto type: cosmos.slashing.v1beta1.QuerySigningInfosResponse
 */
export declare const QuerySigningInfosResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QuerySigningInfosResponse;
    isAmino(o: any): o is QuerySigningInfosResponseAmino;
    encode(message: QuerySigningInfosResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QuerySigningInfosResponse;
    fromPartial(object: DeepPartial<QuerySigningInfosResponse>): QuerySigningInfosResponse;
    fromAmino(object: QuerySigningInfosResponseAmino): QuerySigningInfosResponse;
    toAmino(message: QuerySigningInfosResponse): QuerySigningInfosResponseAmino;
    fromAminoMsg(object: QuerySigningInfosResponseAminoMsg): QuerySigningInfosResponse;
    toAminoMsg(message: QuerySigningInfosResponse): QuerySigningInfosResponseAminoMsg;
    fromProtoMsg(message: QuerySigningInfosResponseProtoMsg): QuerySigningInfosResponse;
    toProto(message: QuerySigningInfosResponse): Uint8Array;
    toProtoMsg(message: QuerySigningInfosResponse): QuerySigningInfosResponseProtoMsg;
    registerTypeUrl(): void;
};
